Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class EclipseModel

- org.gradle.plugins.ide.eclipse.model.EclipseModel

- DSL-friendly model of the Eclipse project information. First point of entry for customizing Eclipse project generation.

       apply plugin: 'java'
       apply plugin: 'war'  //needed for wtp
       apply plugin: 'eclipse'
       apply plugin: 'eclipse-wtp'

       eclipse {
         pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

         project {
           //see docs for EclipseProject
         }

         classpath {
           //see docs for EclipseClasspath
         }

         wtp {
           //see docs for EclipseWtp
         }
       }

  More examples in docs for EclipseProject, EclipseClasspath, EclipseWtp

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `classpath(groovy.lang.Closure closure)` Configures eclipse classpath information
    `EclipseClasspath` | `getClasspath()` Configures eclipse classpath information
    `EclipseJdt` | `getJdt()` Configures eclipse java compatibility information (jdt)
    `EclipseProject` | `getProject()` Configures eclipse project information
    `EclipseWtp` | `getWtp()` Configures eclipse wtp information
    `void` | `jdt(groovy.lang.Closure closure)` Configures eclipse java compatibility information (jdt)
    `void` | `pathVariables(Map<String, File> pathVariables)` Adds path variables to be used for replacing absolute paths in classpath entries.
    `void` | `project(groovy.lang.Closure closure)` Configures eclipse project information
    `void` | `setClasspath(EclipseClasspath classpath)`
    `void` | `setJdt(EclipseJdt jdt)`
    `void` | `setProject(EclipseProject project)`
    `void` | `setWtp(EclipseWtp wtp)`
    `void` | `wtp(groovy.lang.Closure closure)` Configures eclipse wtp information

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void classpath(groovy.lang.Closure closure)

      Configures eclipse classpath information

      For examples see docs for EclipseClasspath

      Parameters:
        closure

    - #### public EclipseClasspath getClasspath()

      Configures eclipse classpath information

      For examples see docs for EclipseClasspath

    - #### public EclipseJdt getJdt()

      Configures eclipse java compatibility information (jdt)

      For examples see docs for EclipseProject

    - #### public EclipseProject getProject()

      Configures eclipse project information

      For examples see docs for EclipseProject

    - #### public EclipseWtp getWtp()

      Configures eclipse wtp information

      For examples see docs for EclipseWtp

    - #### public void jdt(groovy.lang.Closure closure)

      Configures eclipse java compatibility information (jdt)

      For examples see docs for EclipseProject

      Parameters:
        closure

    - #### public void pathVariables(Map<String, File> pathVariables)

      Adds path variables to be used for replacing absolute paths in classpath entries.

      If the beginning of the absolute path of a library or other path-related element matches a value of a variable, a variable entry is used. The matching part of the library path is replaced with the variable name.

      For example see docs for EclipseModel

      Parameters:
        `pathVariables` - A map with String->File pairs.

    - #### public void project(groovy.lang.Closure closure)

      Configures eclipse project information

      For examples see docs for EclipseProject

      Parameters:
        closure

    - #### public void setClasspath(EclipseClasspath classpath)

    - #### public void setJdt(EclipseJdt jdt)

    - #### public void setProject(EclipseProject project)

    - #### public void setWtp(EclipseWtp wtp)

    - #### public void wtp(groovy.lang.Closure closure)

      Configures eclipse wtp information

      For examples see docs for EclipseWtp

      Parameters:
        closure